CREATE TABLE 'user' (
'id' INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
'user_name' TEXT(25) DEFAULT NULL,
'user_position' INTEGER DEFAULT NULL REFERENCES 'position' ('id')
);

CREATE TABLE 'position' (
'id' INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
'pos_description' TEXT DEFAULT NULL,
'pos_auto' INTEGER DEFAULT NULL,
'pos_options' INTEGER(1) DEFAULT 0
);

CREATE TABLE 'option' (
'id' INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
'option_text' TEXT DEFAULT NULL,
'option_next_position' INTEGER DEFAULT NULL
);

CREATE TABLE 'position_option' (
'id' INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
'pos_id' INTEGER DEFAULT NULL REFERENCES 'position' ('id'),
'opt_id' INTEGER DEFAULT NULL REFERENCES 'option' ('id')
); 